---
title: HTMLTableElement.caption
slug: Web/API/HTMLTableElement/caption
tags:
  - API
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLTableElement.caption</code></strong> property represents the table caption. If no caption element is associated with the table, this property is <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>string</em> = <em>tableElement</em>.caption;</pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (table.caption) {
  // Do something with the caption
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "tabular-data.html#dom-table-caption", "HTMLTableElement.caption")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "tabular-data.html#dom-table-caption", "HTMLTableElement.caption")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>No change from {{SpecName("DOM2 HTML")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-14594520', 'HTMLTableElement.caption')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-14594520', 'HTMLTableElement.caption')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.caption")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface implementing this property: {{domxref("HTMLTableElement")}}.</li>
</ul>
